xmlgraphics-fop-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Andreas L. Delmelle" <a_l.delme...@pandora.be>
Subject RE: PDF Encryption not available warning
Date Thu, 03 Jun 2004 16:02:42 GMT
> -----Original Message-----
> From: Abhijit Junnare [mailto:mavlaabhi@yahoo.com]
>

Hi Abhi,

> I am running FOP version 0.20.5 using command line to
> generate PDF. When I use the -nocopy option I get a
> warning saying PDF encryption not available. I believe
> that PDF encryption is supported for version starting
> from 0.20.5. Please let me know if I am missing
> anything.

You're right in saying that PDF Encryption is available starting from
version 0.20.5, however, there are a few things to take into account:

- if you're running on a JVM less than 1.4.X, you need the Java Cryptography
Extension as a separate download

-?PDF Encryption as described in Adobe's PDF Spec, requires RC4 encryption,
and this is not available by default in the JCE, so you need to download a
provider that offers RC4

for more info, see also:

http://xml.apache.org/fop/pdfencryption.html#Environment

If you need any more guidance, just give us a yell...


HTH!

Greetz,

Andreas


---------------------------------------------------------------------
To unsubscribe, e-mail: fop-user-unsubscribe@xml.apache.org
For additional commands, e-mail: fop-user-help@xml.apache.org


Mime
View raw message